Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Tue, 23 Oct 2018 21:19:08 +0200

martin rudalics <[email-masked]> writes:

>>> (3) The display artifacts happen only when scaling is on and Emacs is
>>> not aware of that fact because the reported scale factor is 1.
>>
>> Itʼs (3). If I specifically run emacs with GDK_SCALE=2, then I see no
>> vertical scrollbar for the echo area, as expected.
>
> In this case Vivek might not be the right addressee for this problem
> because he probably does not scale.  Provided the problem goes away
> when you use 'forced-resize'.  Otherwise, he should care.

I donʼt understand how this could be Vivek's issue in any case: this
particular problem existed already in emacs-26.

Now the vertical scrollbar on the right of the menubar, *that* might
be Vivek's to solve (presumably thereʼs a need to tell the menubar
widget not to add that scrollbar).

Robert